package com.tmerclub.cloud.flow.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author chiley
 * @date 2022/6/24 13:47
 */
public class ProductFlowInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品图片pic")
    private String spuImg;

    private String userId;

    private Long payAmount;
    @Schema(description = "浏览量")
    private Long visitCount;

    @Schema(description = "访客数")
    private Long visitUserCount;

    @Schema(description = "支付用户数")
    private Long payUserCount;

    @Schema(description = "访问-支付转化率")
    private Double payRate;

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSpuImg() {
        return spuImg;
    }

    public void setSpuImg(String spuImg) {
        this.spuImg = spuImg;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Long getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Long payAmount) {
        this.payAmount = payAmount;
    }

    public Long getVisitCount() {
        return visitCount;
    }

    public void setVisitCount(Long visitCount) {
        this.visitCount = visitCount;
    }

    public Long getVisitUserCount() {
        return visitUserCount;
    }

    public void setVisitUserCount(Long visitUserCount) {
        this.visitUserCount = visitUserCount;
    }

    public Long getPayUserCount() {
        return payUserCount;
    }

    public void setPayUserCount(Long payUserCount) {
        this.payUserCount = payUserCount;
    }

    public Double getPayRate() {
        return payRate;
    }

    public void setPayRate(Double payRate) {
        this.payRate = payRate;
    }

    @Override
    public String toString() {
        return "ProductFlowInfoVO{" +
                "spuId=" + spuId +
                ", spuName='" + spuName + '\'' +
                ", spuImg='" + spuImg + '\'' +
                ", userId='" + userId + '\'' +
                ", payAmount=" + payAmount +
                ", visitCount=" + visitCount +
                ", visitUserCount=" + visitUserCount +
                ", payUserCount=" + payUserCount +
                ", payRate=" + payRate +
                '}';
    }
}
